mod formulas;
mod terms;

pub(crate) use terms::*;

trait Precedence
{
	fn precedence_level(&self) -> i32;
}

#[derive(Clone, Copy, Eq, PartialEq)]
pub(crate) enum Parentheses
{
	None,
	PrecedenceBased(i32),
	Required,
}
